
# Setup the buttons
for button in [buttonA, buttonB]
	# Resize horizontally
	button.width = ( Screen.width - 75 ) / 2
	# Change color on tap and release
	button.onTouchStart ->
		@backgroundColor = "#fff"
		@children[0].color = artboard.backgroundColor
	button.onTouchEnd ->
		@backgroundColor = artboard.backgroundColor
		@children[0].color = "#fff"


# Visible background for the Text Layer
theTextLayer.backgroundColor = "#eee"


# Automatically adjust the Text Layer’s height
theTextLayer.autoHeight = yes


# Place line under the text
lineUnderText.y = theTextLayer.maxY + 20


# Less text
buttonA.onTap ->
	theTextLayer.text = """Then came the night of the first falling star. It was seen early in the morning, rushing over Winchester eastward, a line of flame high in the atmosphere. Hundreds must have seen it, and taken it for an ordinary falling star. Albin described it as leaving a greenish streak behind it that glowed for some seconds. Denning, our greatest authority on meteorites, stated that the height of its first appearance was about ninety or one hundred miles. It seemed to him that it fell to earth about one hundred miles east of him."""
	
	# Place line under the text again
	lineUnderText.y = theTextLayer.maxY + 20


# More text
buttonB.onTap ->
	theTextLayer.text = """Then came the night of the first falling star. It was seen early in the morning, rushing over Winchester eastward, a line of flame high in the atmosphere. Hundreds must have seen it, and taken it for an ordinary falling star. Albin described it as leaving a greenish streak behind it that glowed for some seconds. Denning, our greatest authority on meteorites, stated that the height of its first appearance was about ninety or one hundred miles. It seemed to him that it fell to earth about one hundred miles east of him.

I was at home at that hour and writing in my study; and although my French windows face towards Ottershaw and the blind was up (for I loved in those days to look up at the night sky), I saw nothing of it."""
	
	# Place line under the text again
	lineUnderText.y = theTextLayer.maxY + 20
